<html>
<head>
<title>Ogre::LodListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1LodListener.html">LodListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::LodListener Class Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::LodListener" -->
<p>A interface class defining a listener which can be used to receive notifications of lod events.  
 <a href="classOgre_1_1LodListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>&gt;</code></p>

<p><a href="classOgre_1_1LodListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#a437b5f300e0f3c38fa581d87e8643784">~LodListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#afeed906381e75aa6449c95085a207a53">prequeueMovableObjectLodChanged</a> (const <a class="el" href="structOgre_1_1MovableObjectLodChangedEvent.html">MovableObjectLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called before a movable object's lod has changed.  <a href="#afeed906381e75aa6449c95085a207a53"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#a80c7d710fa6e8119a3294f3f8fd80e46">postqueueMovableObjectLodChanged</a> (const <a class="el" href="structOgre_1_1MovableObjectLodChangedEvent.html">MovableObjectLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called after a movable object's lod has changed.  <a href="#a80c7d710fa6e8119a3294f3f8fd80e46"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#a812c2bf8014cda9f2ef8fa115d4be416">prequeueEntityMeshLodChanged</a> (<a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">EntityMeshLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called before an entity's mesh lod has changed.  <a href="#a812c2bf8014cda9f2ef8fa115d4be416"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#a90c2e6ca102b8b43fa2819fc752caf5a">postqueueEntityMeshLodChanged</a> (const <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">EntityMeshLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called after an entity's mesh lod has changed.  <a href="#a90c2e6ca102b8b43fa2819fc752caf5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#a2690efbb582ca532ad79f4e682730ecd">prequeueEntityMaterialLodChanged</a> (<a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">EntityMaterialLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called before an entity's material lod has changed.  <a href="#a2690efbb582ca532ad79f4e682730ecd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LodListener.html#aa8bdff391f4865fa7da6f301c350400f">postqueueEntityMaterialLodChanged</a> (const <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">EntityMaterialLodChangedEvent</a> &amp;evt)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called after an entity's material lod has changed.  <a href="#aa8bdff391f4865fa7da6f301c350400f"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A interface class defining a listener which can be used to receive notifications of lod events. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>A 'listener' is an interface designed to be called back when particular events are called. This class defines the interface relating to lod events. In order to receive notifications of lod events, you should create a subclass of <a class="el" href="classOgre_1_1LodListener.html" title="A interface class defining a listener which can be used to receive notifications of lod events...">LodListener</a> and override the methods for which you would like to customise the resulting processing. You should then call <a class="el" href="classOgre_1_1SceneManager.html#a2ac761cb112de51be26c54609de3c83a" title="Add a level of detail listener.">SceneManager::addLodListener</a> passing an instance of this class. There is no limit to the number of lod listeners you can register, allowing you to register multiple listeners for different purposes.</dd></dl>
<p>For some uses, it may be advantageous to also subclass <a class="el" href="classOgre_1_1RenderQueueListener.html" title="Abstract interface which classes must implement if they wish to receive events from the render queue...">RenderQueueListener</a> as this interface makes available information regarding render queue invocations.</p>
<p>It is important not to modify the scene graph during rendering, so, for each event, there are two methods, a prequeue method and a postqueue method. The prequeue method is invoked during rendering, and as such should not perform any changes, but if the event is relevant, it may return true indicating the postqueue method should also be called. The postqueue method is invoked at an appropriate time after rendering and scene changes may be safely made there. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00117">117</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a437b5f300e0f3c38fa581d87e8643784"></a><!-- doxytag: member="Ogre::LodListener::~LodListener" ref="a437b5f300e0f3c38fa581d87e8643784" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1LodListener.html#a437b5f300e0f3c38fa581d87e8643784">Ogre::LodListener::~LodListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00121">121</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa8bdff391f4865fa7da6f301c350400f"></a><!-- doxytag: member="Ogre::LodListener::postqueueEntityMaterialLodChanged" ref="aa8bdff391f4865fa7da6f301c350400f" args="(const EntityMaterialLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1LodListener.html#aa8bdff391f4865fa7da6f301c350400f">Ogre::LodListener::postqueueEntityMaterialLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">EntityMaterialLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called after an entity's material lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May be called even if not requested from prequeueEntityMaterialLodChanged as only one event queue is maintained per SceneManger instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00199">199</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a90c2e6ca102b8b43fa2819fc752caf5a"></a><!-- doxytag: member="Ogre::LodListener::postqueueEntityMeshLodChanged" ref="a90c2e6ca102b8b43fa2819fc752caf5a" args="(const EntityMeshLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1LodListener.html#a90c2e6ca102b8b43fa2819fc752caf5a">Ogre::LodListener::postqueueEntityMeshLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">EntityMeshLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called after an entity's mesh lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May be called even if not requested from prequeueEntityMeshLodChanged as only one event queue is maintained per SceneManger instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00171">171</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a80c7d710fa6e8119a3294f3f8fd80e46"></a><!-- doxytag: member="Ogre::LodListener::postqueueMovableObjectLodChanged" ref="a80c7d710fa6e8119a3294f3f8fd80e46" args="(const MovableObjectLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1LodListener.html#a80c7d710fa6e8119a3294f3f8fd80e46">Ogre::LodListener::postqueueMovableObjectLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1MovableObjectLodChangedEvent.html">MovableObjectLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called after a movable object's lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>May be called even if not requested from prequeueMovableObjectLodChanged as only one event queue is maintained per SceneManger instance. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00143">143</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2690efbb582ca532ad79f4e682730ecd"></a><!-- doxytag: member="Ogre::LodListener::prequeueEntityMaterialLodChanged" ref="a2690efbb582ca532ad79f4e682730ecd" args="(EntityMaterialLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1LodListener.html#a2690efbb582ca532ad79f4e682730ecd">Ogre::LodListener::prequeueEntityMaterialLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1EntityMaterialLodChangedEvent.html">EntityMaterialLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called before an entity's material lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Do not change the <a class="el" href="namespaceOgre.html">Ogre</a> state from this method, instead return true and perform changes in postqueueMaterialLodChanged.</dd></dl>
<p>It is possible to change the event notification and even alter the newLodIndex field (possibly to prevent the lod from changing, or to skip an index). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>True to indicate the event should be queued and postqueueMaterialLodChanged called after rendering is complete. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00190">190</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a812c2bf8014cda9f2ef8fa115d4be416"></a><!-- doxytag: member="Ogre::LodListener::prequeueEntityMeshLodChanged" ref="a812c2bf8014cda9f2ef8fa115d4be416" args="(EntityMeshLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1LodListener.html#a812c2bf8014cda9f2ef8fa115d4be416">Ogre::LodListener::prequeueEntityMeshLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">EntityMeshLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called before an entity's mesh lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Do not change the <a class="el" href="namespaceOgre.html">Ogre</a> state from this method, instead return true and perform changes in postqueueEntityMeshLodChanged.</dd></dl>
<p>It is possible to change the event notification and even alter the newLodIndex field (possibly to prevent the lod from changing, or to skip an index). </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>True to indicate the event should be queued and postqueueEntityMeshLodChanged called after rendering is complete. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00162">162</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="afeed906381e75aa6449c95085a207a53"></a><!-- doxytag: member="Ogre::LodListener::prequeueMovableObjectLodChanged" ref="afeed906381e75aa6449c95085a207a53" args="(const MovableObjectLodChangedEvent &amp;evt)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1LodListener.html#afeed906381e75aa6449c95085a207a53">Ogre::LodListener::prequeueMovableObjectLodChanged</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1MovableObjectLodChangedEvent.html">MovableObjectLodChangedEvent</a> &amp;&#160;</td>
          <td class="paramname"><em>evt</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called before a movable object's lod has changed. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Do not change the <a class="el" href="namespaceOgre.html">Ogre</a> state from this method, instead return true and perform changes in postqueueMovableObjectLodChanged. </dd></dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>True to indicate the event should be queued and postqueueMovableObjectLodChanged called after rendering is complete. </dd></dl>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00134">134</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
